:root {

	--size-90: 45px;
	--size-70: 35px;
	--size-34: 20px;
	--size-26: 20px;
	--size-24: 18px;
	--size-20: 16px;
	--size-16: 14px;
	--size-14: 11px;
}

.button {
	padding: 12px 15px 7px;
}

.p-inline {
	padding-inline: 20px;
}

.service .galeria{
	flex-direction: column;
}

.service .galeria .w-50{
	width: 100%;
}

.post .inmueble .galeria a .side-button.center {
	font-size: 18px;
}

#header {
	height: 90px;
	padding: 0 20px;
	transition: all 280ms ease;
	position: fixed;
	top: 0;
	left: 0;
}

.menu-active.home #header {
	background-color: #000;
}

#header nav {
	align-items: center;
}

#logo img {
	width: 100px;
}

#header .menu {
	width: 100%;
	padding: 40px 20px;
	background-color: #fff;
	transition: all 280ms ease;
	flex-direction: column;
	transform: translateY(-20px);
	opacity: 0;
	pointer-events: none;
	position: fixed;
	top: 90px;
	left: 0;
	z-index: 10;
}

.home #header.black,
.home #header .menu {
	background-color: #000;
}

.menu-active #header .menu {
	opacity: 1;
	transform: translateY(0);
	pointer-events: all;
}

#header .button {
	display: block;
}

#header .hidden {
	display: flex;
	gap: 15px;
}

#header button {
	width: 30px;
	padding: 0;
	border: 0;
	background-color: transparent;
	display: flex;
	gap: 10px;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	position: relative;
}

#header button span,
#header button::before,
#header button::after {
	content: '';
	width: 100%;
	height: 2px;
	background-color: #000;
	transition: all 280ms ease;
	position: absolute;
	left: 0;
}

.home #header button span,
.home #header button::before,
.home #header button::after {
	background-color: #fff;
}

#header button span {
	margin-top: -1px;
	top: 50%;
}

#header button::before {
	top: 5px;
}

#header button::after {
	bottom: 5px;
}

.menu-active #header button span {
	opacity: 0;
}

.menu-active #header button::before {
	transform: rotate(45deg);
	top: 50%;
}

.menu-active #header button::after {
	transform: rotate(-45deg);
	top: 50%;
}

#header::after {
	content: '';
	width: 100%;
	height: 100%;
	opacity: 0;
	background-color: rgb(0 0 0 / 50%);
	transition: all 280ms ease;
	pointer-events: none;
	position: fixed;
	top: 90px;
	left: 0;
	z-index: -1;
}

.menu-active #header::after {
	opacity: 1;
	pointer-events: all;
}

.services #hero{
	min-height: 80px;
}

#hero .content {
	width: 100%;	
	flex-direction: column;
}

#hero .content div {
	width: 100%;
}

#hero .content figure {
	width: 100%;
}

.home #hero p{
	margin-bottom: 0;
}

#hero p{
	margin-bottom: 25px;
}

.home #hero {
	padding-top: 90px;
	padding-bottom: 50px;
	margin-top: 0;
}

.home #hero > div {
	width: 100%;
	padding: 40px 20px 20px 20px;
	gap: 30px;
	display: flex;
	flex-direction: column;
}

.properties {
	padding-inline: 20px;
	padding-block: 70px;
	padding-bottom: 90px;
}

.home #hero h1 br {
	display: none;
}

#main {
	padding-top: 90px;
}

#main.inmueble {
	padding-top: 120px;
}

.home #main {
	padding-top: 0;
}

#hero {
	flex-direction: column-reverse;
}

#hero > .w-50 {
	width: 100%;
}

#hero > div {
	width: 100%;
	padding: 40px 20px;
}

#presentation .content {
	flex-direction: column;
}

#presentation .content {
	background-position: top right;
	background-color: #0e0e0e
}

#presentation > div:nth-child(even) .content {
	background-position: top left;
	background-color: #141414;
}

#presentation .member .w-50 {
	width: 100%;
	opacity: 1;
	transform: none;
}

#presentation > div {
	opacity: 0;
	transform: translateY(50px);
}

#presentation > div .features .item{
	opacity: 1;
	transform: none;
}

#presentation > div .content .text{
	opacity: 1;
	transform: none;
}

#presentation .content .text {
	width: 100%;
	padding: 40px 20px;
}

#presentation .content .text p {
	margin-bottom: 25px;
}

.features {
	display: block;
}

#main .features .item {
	padding: 20px;
	aspect-ratio: 16/9;
}

#main .features .item h3,
#main .features .item p{
	display: block;
	position: static;
	transform: none;
	opacity: 1;
}

body:not(.home) #main .features .item:hover h3,
body:not(.home) #main .features .item:hover p{
	transform: none;
	opacity: 1;
}

#text {
	padding: 40px 20px;
}

#text > div h2{
	text-align: center;
}

#text .w-50 {
	width: 100%;
}

#main #team > div {
	padding: 0 20px 40px 20px;
	gap: 10px;
}

#main #gallery {
	padding: 40px 20px;
	gap: 10px;
	grid-template-columns: 100%;
	grid-template-rows: 1fr;
}

#main #gallery figure:nth-child(1),
#main #gallery figure:nth-child(2),
#main #gallery figure:nth-child(3) {
	grid-column: auto;
	grid-row: auto;
}

.home #cta,
.about #cta,
.contact #cta,
.services #main #cta,
.service main #cta,
#main #cta > div {
	padding: 40px 20px;
}

#main #services {
	flex-direction: column;
}

#main #services figure{
	display: block;
	position: absolute;
	inset: 0;
}

#main #services figure::after{
	content: "";
	position: absolute;
	inset: 0;
	width: 100%;
	height: 100%;
  	background-color: #ffffffeb;
    z-index: 7;
}

@supports (backdrop-filter: blur(4px)) {
  #main #services figure::after {
	backdrop-filter: blur(4px);
    background-color: #ffffffad;
  }
}

#main #services figure img{
	width: 100%;
	height: 100%;
	object-fit: cover;
}

#main #services .w-33,
#main #services .w-66 {
	width: 100%;
}

#main #services .w-66 {
	padding: 40px 20px;
}

#bottom-cta {
	flex-direction: column;
}

#bottom-cta .w-50 {
	width: 100%;
	padding: 40px 20px;
}

#bottom-cta .w-50:last-child {
	background: #ededed;
}

#bottom-cta p {
	margin-bottom: 25px;
}

#bottom-cta .wpcf7 .wpcf7-form {
	width: 100%;
}

#bottom-cta .inputs {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
}

.about #hero{
	padding-bottom: 0;
}

.contact #hero {
	flex-direction: column;
}

.contact #hero .wpcf7 {
	width: 100%;
	padding: 40px 20px;
}

.contact #hero .wpcf7 p {
	margin-bottom: 20px;
}

.contact #text{
	padding-bottom: 40px;
}

.contact #text p {
	width: 100%;
}

.contact #map {
	padding-bottom: 40px;
	flex-direction: column;
	gap: 40px;
}

.contact #map figure {
	width: 100%;
	height: 300px;
}

.contact #map figure img{
	object-fit: cover;
}

#reviews{
	padding-inline: 20px;
	padding-block: 40px;
	padding-bottom: 120px;
}

#reviews > div{
	padding-left: 0px;
}

#reviews .text{
	margin-bottom: 35px;
}

#reviews .text h2,
#reviews .text p{
	width: 100%;
}

#reviews > div:last-child{
	display: flex;
	flex-direction: column;
}

#reviews nav{
	position: absolute;
	bottom: -85px;
	left: 50%;
	transform: translateX(-50%);
	flex-direction: row;
	justify-content: center;
	gap: 50px;
	padding-right: 0;
}

#opinions{
	padding-inline:  20px;
	padding-block: 40px 90px;
}

.services #opinions{
	padding-block: 40px 90px;
}

.service #content{
	padding-inline: 20px;
}

.service #content article{
	padding-left: 25px;
}

.service #content article h1{
	margin-bottom: 25px;
}


.regular #content{
	padding-inline: 20px;
}

.popup > div {
	padding: 20px;
}

#footer {
	padding: 40px 20px;
	gap: 50px;
}

#footer > div {
	flex-direction: column;
}

#footer #info a {
	font-size: var(--size-20);
}

#footer #info div .logo{
	margin-right: 0;
}

#footer #info > div {
	margin-bottom: 50px;
	flex-wrap: wrap;
	row-gap: 30px;
}

#footer #info div .logo {
	width: fit-content;
	margin-inline: auto;
}

#footer #info div > div {
	width: 100%;
	text-align: center;
	display: flex;
	flex-direction: column;
	align-items: center
}

#footer #info div h3 {
	width: fit-content;
	font-weight: 600;
}

#footer #info nav .menu,
#footer #info nav .social {
	justify-content: center;
}

#footer #info nav .menu {
	display: grid;
	grid-template-columns: 1fr 1fr;
	flex-wrap: wrap;
	column-gap: 0;
}

#footer #info nav .menu a {
	justify-self: center;
	width: fit-content;
}

#footer #copy {
	gap: 20px;
}

#footer #copy nav span:not(:last-child)::after {
	display: none;
}

#footer #copy nav span:first-child::after {
	margin-right: 0;
	display: inline-block;
}

#footer #copy nav {
	justify-content: center;
	flex-wrap: wrap;
	gap: 10px;
}

#footer #copy p {
	font-size: var(--size-16);
}

#whatsapp{
	width: 50px;
	height: 50px;
	font-size: 24px;
	left: 10px;
	bottom: 10px;
}

#up {
	right: 10px;
	bottom: 10px;
}

.popup{
	padding-inline: 20px;
}

.inmuebles,
.inmuebles.vertical{
	grid-template-columns: 1fr 1fr;
	gap: 20px;
}


@media only screen and (max-width: 768px) {

	:root {
		--space-80: 40px;
		--space-40: 20px;
	}

	.inmuebles,
	.inmuebles.vertical{
		grid-template-columns: 1fr;
		gap: 20px;
	}

	.inmuebles .inmueble{
		flex-direction: column;
	}

	.inmuebles .inmueble > *{
		width: 100%;
	}
	
	.popup {
		padding-top: 20px;
	    overflow-y: auto;
	    display: block;
	}

	.wpcf7 .fields {
		flex-direction: column;
	}
	
	.wpcf7 .fields .calendar {
		display: flex;
		justify-content: center;
	}

	#cta .inputs {
		grid-template-columns: repeat(2,1fr);
	}

	.contact #hero div div {
		grid-template-columns: 100%;
	}

	.service #content{
		padding-block: 40px;
		flex-direction: column;
		gap: 40px;
	}

	.service #content nav{
		width: 100%;
		display: grid;
		grid-template-columns: 1fr 1fr;
		gap: 20px;
	}

	.service #content nav h2{
		grid-column: 1/-1;
	}

	#topbar {
		top: 70px;
	}

	.service #content article,
	.post.service #content article,
	.post .w-30.datos{
		width: 100%;
		padding-inline: 0px;
		order: -1;
	}
	.post.service #content article{
		order: inherit;
	}

	#blog-nav {
		overflow: auto;
		padding-left: 20px;
		padding-right: 20px;
	}

	#blog-nav nav a {
		white-space: nowrap;
	}

	#blog {
		padding: 20px;
	}

	#blog div article:nth-child(even),
	#blog div article {
		flex-direction: column;
	}
	
	#blog div article figure,
	#blog div article div {
		width: 100%;
	}
	
	#blog div article > div {
		padding: 20px;
	}

	.post.service #content #related {
		width: 100%;
	}

	#reviews article{
		min-width: 100%;
		width: 100%;
	}

	#reviews .scroll{
		width: 100%;
	}

	#content article .wp-block-button__link{
		font-size: 16px;
	}

}

@media only screen and (max-width: 550px) {
	
	#header {
		height: 70px;
	}

	.home #hero,
	#main {
		padding-top: 70px;
	}

	#header .menu {
		top: 70px;
	}

	#main .features .item {
		aspect-ratio: 1.5 / 1;
	}

	#bottom-cta .inputs {
		grid-template-columns: 100%;
	}

	#cta .inputs {
		grid-template-columns: 100%;
	}

	.regular #content{
		padding-block: 50px 40px;
	}
	
	.gift #content form .grid{
		grid-template-columns: 100%;	
	}

	.service #content div h2{
		margin-bottom: 5px;
	}

	.service #content nav{
		grid-template-columns: 100%;
	}

}
@media only screen and (max-width: 320px) {

	.wpcf7 .fields .calendar {
		margin-left: -28px;
		transform: translateX(14px);
	}

}